Profilimi güncelle
PATCH
/api/website/me
const url = 'https://api.petanqueai.com/api/website/me';const options = { method: 'PATCH', headers: { 'x-storefront-token': '<x-storefront-token>', 'x-customer-session': '<x-customer-session>', 'Content-Type': 'application/json' }, body: '{"name":"example","phone":"example","smsConsent":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.petanqueai.com/api/website/me \ --header 'Content-Type: application/json' \ --header 'x-customer-session: <x-customer-session>' \ --header 'x-storefront-token: <x-storefront-token>' \ --data '{ "name": "example", "phone": "example", "smsConsent": true }'Adı, telefonu ya da SMS iznini değiştirir. Göndermediğiniz alanlara dokunulmaz. E-posta adresi değiştirilemez.
Yetkilendirmeler
Bölüm başlığı “Authorizations”İstek gövdesizorunlu
Bölüm başlığı “Request Bodyrequired”object
name
string
phone
string
smsConsent
boolean
Example generated
{ "name": "example", "phone": "example", "smsConsent": true}object
name
string
phone
string
smsConsent
boolean
Example generated
name=example&phone=example&smsConsent=trueobject
name
string
phone
string
smsConsent
boolean